/***********************************************************
		usage_j.c -- japanese usage & message
***********************************************************/
#include		"lh386.h"

#ifdef	__LHA386__
char		title[] = "386|LHx  1.01b#02 (c)Yoshi, SUGI, TARO, 1988-94";
#else
char		title[] = "\nLH  2.02b (c)Yoshi, 1988-90\n";
#endif

#ifdef	__HIGHC__
#	pragma	Off(Warn)
#endif

#ifdef	__LHA386__
char use[] = "\
LHx      for MS-DOS  version 2.02b    Copyright(C) 1990  H.Yoshizaki\n\
386|LHx  for TownsOS version 1.01b#02 Copyright(C) 1992  SUGI, TARO\n\
\n\
usage: lhx [-]{axelvudmpt}[rxpatoiwmczhn]] archive_file [file...]\n\
 commands:                                options:\n\
 a: Add(or replace) to archive            x: allow eXtended file names\n\
 u: Update newer files to archive         p: distinguish full Path names\n\
 m: Move to archive (means 'ad')          c: skip time-stamp Check\n\
 f: Freshen files                         m: no Message for query\n\
 d: Delete from archive                   a: allow any Attributes of files\n\
 e: Extract from archive                  r: Recursively collect files\n\
 x: eXtract files with pathnames          w: assign Work directory\n\
 p: Print to STDOUT from archive          t: archive's Time-stamp option\n\
 l: List of file                          z: Zero compression (only store)\n\
 v: View listing of files with pathnames  o: use Old compatible method\n\
 t: Test file CRC in archive              h: select Header level (default = 1)\n\
                                          i: not Ignore lower case\n\
                                          n: display No indicator a/o pathname\n\
";
#else
char use[] = "\
LHx      for MSDOS version 2.02b Copyright(C) 1990  H.Yoshizaki\n\
386|LHx  for TOWNS version 2.02b Copyright(C) 1992  SUGI, TARO\n\
\n\
usage: lhx [-]{axelvudmcp}[qvnfodizg012][w=<dir>] archive_file [file...]\n\
commands:                           options:\n\
 a   Add(or replace) to archive      v  verbose\n\
 x,e EXtract from archive            n  not execute\n\
 l,v List / Verbose List             t  FILES are TEXT file\n\
 u   Update newer files to archive   o  use LHarc compatible method (a/u)\n\
 d   Delete from archive             w=<dir> specify extract directory (x/e)\n\
 m   Move to archive (means 'ad')    d  delete FILES after (a/u/c)\n\
 p   Print to STDOUT from archive    i  ignore directory path (x/e)\n\
 t   Test file CRC in archive        z  files not compress (a/u)\n\
";
#endif


char UNKNOWNERR[]	=	"Unknown error";
char INVCMDERR[]	=	"Invalid command";
char MANYPATERR[]	=	"Too many files in command line";
char RENAMEERR[]	=	"Can't rename Archive";
char TOOMANYERR[]	=	"Too many files matched";
char INVSWERR[]		=	"Invalid switch";
char CRCERR[]		=	"CRC Err\n";
char MKARCERR[]		=	"Can't create archive";
char NOSPCERR[]		=	"Disk full\n"
						"Terminate and left temporary";
char NESTERR[]		=	"Cannot nest.";

char NOARCNMERR[]	=	"No archive name";
char NOFNERR[]		=	"No file name";
char NOARCERR[]		=	"Archive not found";
char MKTMPERR[]		=	"Can't create temporary file";
char DUPFNERR[]		=	"Same names in another path";
char TOOLONGERR[]	=	"Path name too long";
char NOFILEERR[]	=	"No file found";
char MKFILEERR[]	=	"Can't create file";
char RDERR[]		=	"Can't read file";
char WTERR[]		=	"Can't write file";
char MEMOVRERR[]	=	"Memory overflow";
char CTRLBRK[]		=	"Ctrl-break pressed";
char NOMATCHERR[]	=	"Can't find File";
char NOTLZH[]		=	"Extension of archive(%s) is not '.LZH'. "
						"Continue process? [Y/N] ";
char SAMEFILE[]		=	"already exists.";
char OVERWT[]		=	"Overwrite? [Y/N] ";
char MKDIR[]		=	"Make directory? [Y/N] ";
char MKDIRERR[]		=	"Failed in making directory";
char RDONLY[]		=	"Read only!";
char COPYERR[]		=	"\nFailed in copying temporary file to archive\n"
						"Terminate and left temporary '%s'.\n";
char BROKENARC[]	=	"Broken archive.";
char MAYDELETE[]	=	"  delete? [Y/N] ";
char MAYCONT[]		=	"  continue? [Y/N] ";

char SAMEDIR[]		=	"a directory with the same name exists.";
char NEWFILE[]		=	"newer or same file exists.";
char METHODERR[]	=	"unknown method.";
char DISKFULL[]		=	"disk full";
char NOCRC[]		=	"CRC is not supported.";
char NOMOREEXT[]	=	"cannot assign extension.";
char SPECIALATTR[]	=	"special attribute";
char EXTRADATA[]	=	"WARNING: Extra data preceeding the first header.\n\n";

